AutoCAD二次开发

参考资料:http://help.autodesk.com/view/OARX/2019/ENU/?guid=GUID-B9D5DD07-846E-418F-A346-0CEB35E724F7

监控命令及事件:

示例代码如下:

using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.EditorInput;



namespace Demo1
{
    public class Class1
    {

        [CommandMethod("AddAppEvent")]
        public void AddAppEvent()
        {
            Document acDoc = Application.DocumentManager.MdiActiveDocument;
            Application.SystemVariableChanged += new Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventHandler(appSysVarChanged);
            Application.BeginDoubleClick += new BeginDoubleClickEventHandler(beginDoubleClick);
            acDoc.CommandWillStart += new CommandEventHandler(currentDoc_CommandWillStart);
            acDoc.CommandCancelled += new CommandEventHandler(currentDoc_CommandWillStart);
            acDoc.CommandEnded += new CommandEventHandler(currentDoc_CommandWillStart);
            acDoc.CommandFailed += new CommandEventHandler(currentDoc_CommandWillStart);
        }

        [CommandMethod("RemoveAppEvent")]
        public void RemoveAppEvent()
        {
            Application.SystemVariableChanged -= new Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventHandler(appSysVarChanged);
            Application.BeginDoubleClick -= new BeginDoubleClickEventHandler(beginDoubleClick);
        }

        public void appSysVarChanged(object senderObj,Autodesk.AutoCAD.ApplicationServices.SystemVariableChangedEventArgs sysVarChEvtArgs)
        {
            object oVal = Application.GetSystemVariable(sysVarChEvtArgs.Name);
            // Display a message box with the system variable name and the new value
            Application.ShowAlertDialog(sysVarChEvtArgs.Name + " was changed." + "\nNew value: " + oVal.ToString());
        }

        static void beginDoubleClick(object sender, BeginDoubleClickEventArgs e)
        {
            Document acDoc = Application.DocumentManager.MdiActiveDocument;
            string strDWGName = acDoc.Name;
            Application.ShowAlertDialog(strDWGName);
        }

        void currentDoc_CommandWillStart(object sender, CommandEventArgs e)
        {
            //Application.ShowAlertDialog(e.GlobalCommandName);
            Document acDoc = Application.DocumentManager.MdiActiveDocument;
            string strDWGName = acDoc.Name;
            Application.ShowAlertDialog(strDWGName);
        }


    }


}

其他事件:

http://help.autodesk.com/view/OARX/2019/CHS/?guid=GUID-F432E285-8B94-4ACD-A186-89E1218DEC07

http://help.autodesk.com/view/OARX/2019/CHS/

评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值